<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core">
<head>
<style>
body {
	background-color: #f9f9f9;
	font-family: 'Roboto', Arial, sans-serif;
	line-height: 1.6;
}

.page-title {
	text-align: center;
	color: #2c3e50;
	margin-top: 50px;
	font-size: 32px;
}

.restaurant-list {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 30px;
}

.restaurant-item {
	background-color: #fff;
	color: #333;
	width: 85%;
	padding: 20px;
	margin: 20px 0;
	border-radius: 8px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.restaurant-actions {
	display: flex;
	align-items: center;
	justify-content: flex-start;
	margin-top: 15px;
}

.menu-name {
	margin-right: 20px;
}

.action-buttons {
	display: inline-block;
	margin-left: auto;
}

.action-buttons h:commandButton {
	background-color: #2c3e50;
	color: #fff;
	padding: 10px 20px;
	margin: 0 10px;
	border: none;
	text-decoration: none;
	border-radius: 5px;
	cursor: pointer;
	transition: background-color 0.3s ease;
}

.action-buttons h:commandButton[value="Modifier Menu"] {
	background-color: #3498db;
}

.action-buttons h:commandButton:hover {
	opacity: 0.8;
}

.add-restaurant {
	text-align: center;
	margin: 40px 0;
}

.add-restaurant a {
	background-color: #28a745;
	color: #fff;
	padding: 15px 30px;
	font-size: 16px;
	text-decoration: none;
	border-radius: 8px;
	transition: background-color 0.3s ease;
}

.add-restaurant a:hover {
	background-color: #218c3b;
}
</style>
</head>
<body>
	<div class="page-title">Restaurants</div>

	<div class="restaurant-list">
		<h:form>
			<ui:repeat var="restaurant" value="#{restaurantBean.restaurants}">
				<div class="menu-item">
					<h2>#{restaurant.name}</h2>
					<span>#{restaurant.location}</span> <span>#{restaurant.phonenumber}</span>
					<ui:repeat var="menu" value="#{restaurant.menus}">
						<div class="menu-actions">
							<div class="plate-info">
								<h:outputLabel class="menu-name"
									rendered="#{restaurantBean.menuEditingId != menu.id}"
									value="#{menu.name}" />
								<h:inputText class="menu-name"
									rendered="#{restaurantBean.menuEditingId == menu.id}"
									value="#{restaurantBean.currentMenu}" />
							</div>
							<h:panelGroup rendered="#{restaurantBean.isOwner}">
								<div class="action-buttons">
									<h:commandButton value="Modifier Menu"
										action="#{restaurantBean.modifyMenu}">
										<f:param name="menuId" value="#{menu.id}" />
									</h:commandButton>
									<h:commandButton value="Supprimer Menu"
										action="#{restaurantBean.deleteMenu}">
										<f:param name="menuId" value="#{menu.id}" />
									</h:commandButton>
								</div>
							</h:panelGroup>

						</div>
					</ui:repeat>
				</div>
			</ui:repeat>
			<h:commandButton value="Accueil" action="goHome" />
		</h:form>
		<!-- More restaurant items can go here -->
	</div>
</body>
</html>
